DSAParameterSpec

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.security.spec
Class DSAParameterSpec

    java.lang.Object
      java.security.spec.DSAParameterSpec

All Implemented Interfaces:
  DSAParams, AlgorithmParameterSpec

    public class DSAParameterSpec

extends Object
implements AlgorithmParameterSpec, DSAParams

This class specifies the set of parameters used with the DSA algorithm.

Since:
  1.2
Version:
  1.13, 02/02/00
Author:
  Jan Luehe
See Also:
  `AlgorithmParameterSpec`

Constructor Summary
`DSAParameterSpec(BigInteger p, BigInteger q, BigInteger g)` Creates a new DSAParameterSpec with the specified parameter values.

Method Summary
`BigInteger` | `getG()` Returns the base `g`.
`BigInteger` | `getP()` Returns the prime `p`.
`BigInteger` | `getQ()` Returns the sub-prime `q`.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DSAParameterSpec

    public DSAParameterSpec(BigInteger p,
                            BigInteger q,
                            BigInteger g)

  Creates a new DSAParameterSpec with the specified parameter values.

  Parameters:
    `p` - the prime.
    `q` - the sub-prime.
    `g` - the base.

Method Detail

### getP

    public BigInteger getP()

  Returns the prime `p`.

  Specified by:
    `getP` in interface `DSAParams`
  Returns:
    the prime `p`.

### getQ

    public BigInteger getQ()

  Returns the sub-prime `q`.

  Specified by:
    `getQ` in interface `DSAParams`
  Returns:
    the sub-prime `q`.

### getG

    public BigInteger getG()

  Returns the base `g`.

  Specified by:
    `getG` in interface `DSAParams`
  Returns:
    the base `g`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD